NOT USED: Auto-schedule frontend has been removed as part of the Board Revamp.
This endpoint is retained for potential future use.
Suggests optimal resource assignments for backlog items using greedy capacity balancing.
Read-only — does not mutate data.
curl --request POST \
--url https://{install}/api/plan/{boardId}/auto-schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cycleId": "<string>"
}
'import requests
url = "https://{install}/api/plan/{boardId}/auto-schedule"
payload = { "cycleId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cycleId: '<string>'})
};
fetch('https://{install}/api/plan/{boardId}/auto-schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/plan/{boardId}/auto-schedule");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"cycleId\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

{
"suggestions": [
{
"itemId": "<string>",
"itemName": "<string>",
"suggestedResourceId": "<string>",
"suggestedResourceName": "<string>",
"estimatedHours": 123,
"reason": "<string>"
}
],
"unschedulable": [
{
"itemId": "<string>",
"itemName": "<string>",
"reason": "<string>"
}
],
"error": "<string>"
}Planning
NOT USED: Auto-schedule frontend has been removed as part of the Board Revamp. This endpoint is retained for potential future use. Suggests optimal resource assignments for backlog items using greedy capacity balancing. Read-only — does not mutate data.
POST
/
api
/
plan
/
{boardId}
/
auto-schedule
NOT USED: Auto-schedule frontend has been removed as part of the Board Revamp.
This endpoint is retained for potential future use.
Suggests optimal resource assignments for backlog items using greedy capacity balancing.
Read-only — does not mutate data.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Path Parameters
Body
application/jsonapplication/*+json
⌘I